# Class SchemaValidationMixin<Response, Parameters, RequestBody>

#### Type Parameters

- Response = any
- Parameters extends Record<string, any> | void = any
- RequestBody = any

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:31

#####
Index

### Constructors

constructor

### Properties

disableSchemaValidation?
STRICT

### Methods

buildHttpHeaders
buildHttpOptions
buildHttpParams
buildHttpPathParams
normalizePathParamValue
validateParameters
validateRequestBody
validateResponse
validationError

##
Constructors

### constructor

- new SchemaValidationMixin<
  Response = any,
  Parameters extends void | Record<string, any> = any,
  RequestBody = any,
  >(): SchemaValidationMixin<Response, Parameters, RequestBody>

  #### Type Parameters

  - Response = any
  - Parameters extends void | Record<string, any> = any
  - RequestBody = any

  #### Returns SchemaValidationMixin<Response, Parameters, RequestBody>

##
Properties

### `Protected` `Optional` disableSchemaValidation

disableSchemaValidation?: boolean

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:35

### `Static` STRICT

STRICT: boolean = false

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:33

##
Methods

### buildHttpHeaders

- buildHttpHeaders(
  operationParameters: ParameterObject[],
  parameters?: Parameters,
  ): HttpHeaders

  #### Parameters

  - operationParameters: ParameterObject[]
  - `Optional` parameters: Parameters

  #### Returns HttpHeaders

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:293

### buildHttpOptions

- buildHttpOptions(
  operation: OperationObjectWithMetadata,
  parameters?: Parameters,
  requestBody?: RequestBody,
  ignoreUndefined?: boolean,
  ): HttpRemoteMethodParameter

  Converts open api parameters into the corresponding http options to create a http request. The transformation is guided by the openapi definition

  #### Parameters

  - operation: OperationObjectWithMetadata
  - `Optional` parameters: Parameters
  - `Optional` requestBody: RequestBody
  - ignoreUndefined: boolean = true

  #### Returns HttpRemoteMethodParameter

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:377

### buildHttpParams

- buildHttpParams(
  operationParameters: ParameterObject[],
  parameters?: Parameters,
  ignoreUndefined?: boolean,
  ): HttpParams

  #### Parameters

  - operationParameters: ParameterObject[]
  - `Optional` parameters: Parameters
  - ignoreUndefined: boolean = true

  #### Returns HttpParams

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:244

### buildHttpPathParams

- buildHttpPathParams(
  operationParameters: ParameterObject[],
  parameters?: Parameters,
  ): Record<string, string>

  #### Parameters

  - operationParameters: ParameterObject[]
  - `Optional` parameters: Parameters

  #### Returns Record<string, string>

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:328

### `Protected` normalizePathParamValue

- normalizePathParamValue(value: any, paramName: string): string

  #### Parameters

  - value: any
  - paramName: string

  #### Returns string

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:351

### `Protected` validateParameters

- validateParameters(
  operation: OperationObjectWithMetadata,
  parameters?: Parameters,
  strict?: boolean,
  ): void
  `Protected`

  Validates the parameters against the schema specified in the operation object

  #### Parameters

  - operation: OperationObjectWithMetadata
  - `Optional` parameters: Parameters
  - strict: boolean = false

  #### Returns void

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:45

### validateRequestBody

- validateRequestBody(
  operation: OperationObjectWithMetadata,
  body?: RequestBody,
  strict?: boolean,
  ): void

  #### Parameters

  - operation: OperationObjectWithMetadata
  - `Optional` body: RequestBody
  - strict: boolean = false

  #### Returns void

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:189

### `Protected` validateResponse

- validateResponse(
  operation: OperationObjectWithMetadata,
  response: SchemaValidationResponse<Response>,
  strict?: boolean,
  ): void
  `Protected`

  Validates the http response against the schema specified in the operation object

  #### Parameters

  - operation: OperationObjectWithMetadata
  - response: SchemaValidationResponse<Response>
  - strict: boolean = false

  #### Returns void

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:122

### validationError

- validationError(
  message: string,
  strict: boolean,
  schema?: ReferenceObject | SchemaObject,
  value?: any,
  ): void

  #### Parameters

  - message: string
  - strict: boolean
  - `Optional` schema: ReferenceObject | SchemaObject
  - `Optional` value: any

  #### Returns void

  - Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:222